<?php
/**
 * Real Estate Valuation: Block Patterns
 *
 * @since Real Estate Valuation 1.0
 */

function real_estate_valuation_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'real-estate-valuation' => array( 'label' => __( 'Real Estate Valuation', 'real-estate-valuation' ) )
	);
	$block_pattern_categories = apply_filters( 'real_estate_valuation_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'real_estate_valuation_register_block_patterns', 9 );